# PvCard::Token Class Reference

Representation of token (EBNF group, name, iana-token or x-name). More...

`#include <vcard.h>`

Inheritance diagram for PvCard::Token:

List of all members.

## Public Member Functions

| Token (const char *str=NULL)
| Token (const PString &str)
Token & | operator= (const char *str)
| Assign the C string to the current object.
Token & | operator= (const PString &str)
| Assign the string to the current object.
virtual void | PrintOn (ostream &strm) const
| Output the string to the specified stream.
virtual void | ReadFrom (istream &strm)
| Input the string from the specified stream.

## Detailed Description

Representation of token (EBNF group, name, iana-token or x-name).

## Constructor & Destructor Documentation

PvCard::Token::Token | ( | const char * | str = `NULL` | ) | `[inline]`

PvCard::Token::Token | ( | const PString & | str | ) | `[inline]`

## Member Function Documentation

Token& PvCard::Token::operator= | ( | const PString & | str | ) | `[inline]`

Assign the string to the current object.

The current instance then becomes another reference to the same string in the `str` parameter.

Returns:
  reference to the current PString object.

Reimplemented from PCaselessString.

Token& PvCard::Token::operator= | ( | const char * | str | ) | `[inline]`

Assign the C string to the current object.

The current instance then becomes a unique reference to a copy of the `cstr` parameter. The `cstr` parameter is typically a literal string, eg:

              myStr = "fred";

Returns:
  reference to the current PString object.

Reimplemented from PCaselessString.

virtual void PvCard::Token::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the string to the specified stream.

Reimplemented from PString.

virtual void PvCard::Token::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the string from the specified stream.

This will read all characters until a end of line is reached. The end of line itself is not placed in the string, however it is removed from the stream.

Reimplemented from PString.

The documentation for this class was generated from the following file:

- vcard.h